diff --git a/framework/source/fwe/xml/menudocumenthandler.cxx b/framework/source/fwe/xml/menudocumenthandler.cxx
index 8055034..48800d8 100644
--- a/framework/source/fwe/xml/menudocumenthandler.cxx
+++ b/framework/source/fwe/xml/menudocumenthandler.cxx
@@ -72,8 +72,8 @@
 #define ATTRIBUTE_ITEMSTYLE_RADIO    "radio"
 
 // Property names of a menu/menu item ItemDescriptor
-static const char ITEM_DESCRIPTOR_COMMANDURL[]  = "CommandURL";
-static const char ITEM_DESCRIPTOR_HELPURL[]     = "HelpURL";
+static const char ITEM_DESCRIPTOR_ACTIONURL[] = "ActionURL";
+static const char ITEM_DESCRIPTOR_HELPURL[]    = "HelpURL";
 static const char ITEM_DESCRIPTOR_CONTAINER[]   = "ItemDescriptorContainer";
 static const char ITEM_DESCRIPTOR_LABEL[]       = "Label";
 static const char ITEM_DESCRIPTOR_TYPE[]        = "Type";
@@ -110,7 +110,7 @@ const MenuStyleItem MenuItemStyles[ ] = {
 sal_Int32 nMenuStyleItemEntries = SAL_N_ELEMENTS(MenuItemStyles);
 
 static void ExtractMenuParameters( const Sequence< PropertyValue >& rProp,
-                                   OUString&                       rCommandURL,
+                                   OUString&                       rActionURL,
                                    OUString&                       rLabel,
                                    OUString&                       rHelpURL,
                                    Reference< XIndexAccess >&      rSubMenu,
@@ -119,10 +119,16 @@ static void ExtractMenuParameters( const Sequence< PropertyValue >& rProp,
 {
     for ( sal_Int32 i = 0; i < rProp.getLength(); i++ )
     {
-        if ( rProp[i].Name == ITEM_DESCRIPTOR_COMMANDURL )
+        if ( rProp[i].Name == ITEM_DESCRIPTOR_ACTIONURL )
         {
-            rProp[i].Value >>= rCommandURL;
-            rCommandURL = rCommandURL.intern();
+            rProp[i].Value >>= rActionURL;
+            rActionURL = rActionURL.intern();
+        }
+        else if ( rProp[i].Name == "CommandURL" )
+        {
+            SAL_WARN( "framework.fwe", "\"CommandURL\" into \"ActionURL\" in ExtractMenuParameters" );
+            rProp[i].Value >>= rActionURL;
+            ///rProp[i].Name = ITEM_DESCRIPTOR_ACTIONURL;
         }
         else if ( rProp[i].Name == ITEM_DESCRIPTOR_HELPURL )
         {
@@ -156,7 +162,7 @@ ReadMenuDocumentHandlerBase::ReadMenuDocumentHandlerBase() :
     m_aLabel( ITEM_DESCRIPTOR_LABEL ),
     m_aContainer( ITEM_DESCRIPTOR_CONTAINER ),
     m_aHelpURL( ITEM_DESCRIPTOR_HELPURL ),
-    m_aCommandURL( ITEM_DESCRIPTOR_COMMANDURL ),
+    m_aActionURL( ITEM_DESCRIPTOR_ACTIONURL ),
     m_aStyle( ITEM_DESCRIPTOR_STYLE )
 {
 }
@@ -172,7 +178,7 @@ throw( SAXException, RuntimeException, std::exception )
 }
 
 void SAL_CALL ReadMenuDocumentHandlerBase::processingInstruction(
-    const OUString& /*aTarget*/, const OUString& /*aData*/ )
+    const OUString& /*aRecipient*/, const OUString& /*aData*/ )
 throw( SAXException, RuntimeException, std::exception )
 {
 }
@@ -197,10 +203,10 @@ OUString ReadMenuDocumentHandlerBase::getErrorLineString()
 }
 
 void ReadMenuDocumentHandlerBase::initPropertyCommon(
-    Sequence< PropertyValue > &rProps, const OUString &rCommandURL,
+    Sequence< PropertyValue > &rProps, const OUString &rActionURL,
     const OUString &rHelpId, const OUString &rLabel, sal_Int16 nItemStyleBits )
 {
-    rProps[0].Name = m_aCommandURL;
+    rProps[0].Name = m_aActionURL;
     rProps[1].Name = m_aHelpURL;
     rProps[2].Name = m_aContainer;
     rProps[3].Name = m_aLabel;
@@ -208,7 +214,7 @@ void ReadMenuDocumentHandlerBase::initPropertyCommon(
     rProps[5].Name = m_aType;
 
     // Common values
-    rProps[0].Value <<= rCommandURL.intern();
+    rProps[0].Value <<= rActionURL.intern();
     rProps[1].Value <<= rHelpId;
     rProps[2].Value <<= Reference< XIndexContainer >();
     rProps[3].Value <<= rLabel;
@@ -704,7 +710,7 @@ void SAL_CALL OReadMenuPopupHandler::endElement( const OUString& aName )
             if ( aName != ELEMENT_MENU )
             {
                 OUString aErrorMessage = getErrorLineString();
-                aErrorMessage += "closing element menu expected!";
+                aErrorMessage += "bottom menu is expected here";
                 throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
             }
         }
@@ -718,7 +724,7 @@ void SAL_CALL OReadMenuPopupHandler::endElement( const OUString& aName )
             if ( aName != ELEMENT_MENUITEM )
             {
                 OUString aErrorMessage = getErrorLineString();
-                aErrorMessage += "closing element menuitem expected!";
+                aErrorMessage += "bottom menuitem is expected here";
                 throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
             }
         }
@@ -727,7 +733,7 @@ void SAL_CALL OReadMenuPopupHandler::endElement( const OUString& aName )
             if ( aName != ELEMENT_MENUSEPARATOR )
             {
                 OUString aErrorMessage = getErrorLineString();
-                aErrorMessage += "closing element menuseparator expected!";
+                aErrorMessage += "bottom menuseparator is expected here";
                 throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
             }
         }
@@ -763,7 +769,7 @@ throw ( SAXException, RuntimeException )
 
     m_xWriteDocumentHandler->startDocument();
 
-    // write DOCTYPE line!
+    // write DOCTYPE line
     Reference< XExtendedDocumentHandler > xExtendedDocHandler( m_xWriteDocumentHandler, UNO_QUERY );
     if ( m_bIsMenuBar /*FIXME*/ && xExtendedDocHandler.is() )
     {
@@ -809,30 +815,30 @@ throw ( SAXException, RuntimeException )
         aAny = rMenuContainer->getByIndex( nItemPos );
         if ( aAny >>= aProps )
         {
-            OUString    aCommandURL;
+            OUString    aActionURL;
             OUString    aLabel;
             OUString    aHelpURL;
             sal_Int16   nType( css::ui::ItemType::DEFAULT );
             sal_Int16   nItemBits( 0 );
             Reference< XIndexAccess > xSubMenu;
 
-            ExtractMenuParameters( aProps, aCommandURL, aLabel, aHelpURL, xSubMenu, nType, nItemBits );
+            ExtractMenuParameters( aProps, aActionURL, aLabel, aHelpURL, xSubMenu, nType, nItemBits );
             if ( xSubMenu.is() )
             {
-                if ( aCommandURL == ADDDIRECT_CMD ||
-                    aCommandURL == AUTOPILOTMENU_CMD )
+                if ( aActionURL == ADDDIRECT_CMD ||
+                    aActionURL == AUTOPILOTMENU_CMD )
                 {
-                    WriteMenuItem( aCommandURL, aLabel, aHelpURL, nItemBits );
+                    WriteMenuItem( aActionURL, aLabel, aHelpURL, nItemBits );
                     bSeparator = false;
                 }
-                else if ( !aCommandURL.isEmpty() && !AddonPopupMenu::IsCommandURLPrefix( aCommandURL ))
+                else if ( !aActionURL.isEmpty() && !AddonPopupMenu::IsActionURLPrefix( aActionURL ))
                 {
                     ::comphelper::AttributeList* pListMenu = new ::comphelper::AttributeList;
                     Reference< XAttributeList > xListMenu( static_cast<XAttributeList *>(pListMenu) , UNO_QUERY );
 
                     pListMenu->AddAttribute( ATTRIBUTE_NS_ID,
                                             m_aAttributeType,
-                                            aCommandURL );
+                                            aActionURL );
 
                     if ( !aLabel.isEmpty() )
                         pListMenu->AddAttribute( ATTRIBUTE_NS_LABEL,
@@ -859,10 +865,10 @@ throw ( SAXException, RuntimeException )
             {
                 if ( nType == css::ui::ItemType::DEFAULT )
                 {
-                    if ( !aCommandURL.isEmpty() )
+                    if ( !aActionURL.isEmpty() )
                     {
                         bSeparator = false;
-                        WriteMenuItem( aCommandURL, aLabel, aHelpURL, nItemBits );
+                        WriteMenuItem( aActionURL, aLabel, aHelpURL, nItemBits );
                     }
                 }
                 else if ( !bSeparator )
@@ -876,14 +882,14 @@ throw ( SAXException, RuntimeException )
     }
 }
 
-void OWriteMenuDocumentHandler::WriteMenuItem( const OUString& aCommandURL, const OUString& aLabel, const OUString& aHelpURL, sal_Int16 nStyle )
+void OWriteMenuDocumentHandler::WriteMenuItem( const OUString& aActionURL, const OUString& aLabel, const OUString& aHelpURL, sal_Int16 nStyle )
 {
     ::comphelper::AttributeList* pList = new ::comphelper::AttributeList;
     Reference< XAttributeList > xList( static_cast<XAttributeList *>(pList) , UNO_QUERY );
 
     pList->AddAttribute( ATTRIBUTE_NS_ID,
                                 m_aAttributeType,
-                                aCommandURL );
+                                aActionURL );
 
     if ( !aHelpURL.isEmpty() )
     {
diff --git a/framework/source/fwe/xml/saxnamespacefilter.cxx b/framework/source/fwe/xml/saxnamespacefilter.cxx
index 4e4b1bf..9f41118 100644
--- a/framework/source/fwe/xml/saxnamespacefilter.cxx
+++ b/framework/source/fwe/xml/saxnamespacefilter.cxx
@@ -151,10 +151,10 @@ void SAL_CALL SaxNamespaceFilter::ignorableWhitespace(const OUString& aWhitespac
 }
 
 void SAL_CALL SaxNamespaceFilter::processingInstruction(
-    const OUString& aTarget, const OUString& aData)
+    const OUString& aRecipient, const OUString& aData )
     throw(  SAXException, RuntimeException, std::exception )
 {
-    xDocumentHandler->processingInstruction( aTarget, aData );
+    xDocumentHandler->processingInstruction( aRecipient, aData );
 }
 
 void SAL_CALL SaxNamespaceFilter::setDocumentLocator(
diff --git a/framework/source/fwe/xml/statusbardocumenthandler.cxx b/framework/source/fwe/xml/statusbardocumenthandler.cxx
index 16af931..306de6c 100644
--- a/framework/source/fwe/xml/statusbardocumenthandler.cxx
+++ b/framework/source/fwe/xml/statusbardocumenthandler.cxx
@@ -81,7 +81,7 @@ namespace framework
 {
 
 // Property names of a menu/menu item ItemDescriptor
-static const char ITEM_DESCRIPTOR_COMMANDURL[]  = "CommandURL";
+static const char ITEM_DESCRIPTOR_ACTIONURL[]   = "ActionURL";
 static const char ITEM_DESCRIPTOR_HELPURL[]     = "HelpURL";
 static const char ITEM_DESCRIPTOR_OFFSET[]      = "Offset";
 static const char ITEM_DESCRIPTOR_STYLE[]       = "Style";
@@ -90,7 +90,7 @@ static const char ITEM_DESCRIPTOR_TYPE[]        = "Type";
 
 static void ExtractStatusbarItemParameters(
     const Sequence< PropertyValue >& rProp,
-    OUString&                        rCommandURL,
+    OUString&                        rActionURL,
     OUString&                        rHelpURL,
     sal_Int16&                       rOffset,
     sal_Int16&                       rStyle,
@@ -98,10 +98,10 @@ static void ExtractStatusbarItemParameters(
 {
     for ( sal_Int32 i = 0; i < rProp.getLength(); i++ )
     {
-        if ( rProp[i].Name == ITEM_DESCRIPTOR_COMMANDURL )
+        if ( rProp[i].Name == ITEM_DESCRIPTOR_ACTIONURL )
         {
-            rProp[i].Value >>= rCommandURL;
-            rCommandURL = rCommandURL.intern();
+            rProp[i].Value >>= rActionURL;
+            rActionURL = rActionURL.intern();
         }
         else if ( rProp[i].Name == ITEM_DESCRIPTOR_HELPURL )
         {
@@ -191,7 +191,7 @@ throw(  SAXException, RuntimeException, std::exception )
     if ( m_bStatusBarStartFound )
     {
         OUString aErrorMessage = getErrorLineString();
-        aErrorMessage += "No matching start or end element 'statusbar' found!";
+        aErrorMessage += "there's no boundary `statusbar' exists";
         throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
     }
 }
@@ -212,7 +212,7 @@ throw(  SAXException, RuntimeException, std::exception )
                 if ( m_bStatusBarStartFound )
                 {
                     OUString aErrorMessage = getErrorLineString();
-                    aErrorMessage += "Element 'statusbar:statusbar' cannot be embedded into 'statusbar:statusbar'!";
+                    aErrorMessage += "embed statusbar:statusbar into statusbar:statusbar? no way";
                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                 }
 
@@ -225,23 +225,23 @@ throw(  SAXException, RuntimeException, std::exception )
                 if ( !m_bStatusBarStartFound )
                 {
                     OUString aErrorMessage = getErrorLineString();
-                    aErrorMessage += "Element 'statusbar:statusbaritem' must be embedded into element 'statusbar:statusbar'!";
+                    aErrorMessage += "statusbar:statusbaritem is not embedded into statusbar:statusbar";
                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                 }
 
                 if ( m_bStatusBarItemStartFound )
                 {
                     OUString aErrorMessage = getErrorLineString();
-                    aErrorMessage += "Element statusbar:statusbaritem is not a container!";
+                    aErrorMessage += "element statusbar:statusbaritem is not a container";
                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                 }
 
-                OUString    aCommandURL;
+                OUString    aActionURL;
                 OUString    aHelpURL;
                 sal_Int16   nItemBits( ItemStyle::ALIGN_CENTER|ItemStyle::DRAW_IN3D );
                 sal_Int16   nWidth( 0 );
                 sal_Int16   nOffset( STATUSBAR_OFFSET );
-                bool    bCommandURL( false );
+                bool    bHasActionURL( false );
 
                 m_bStatusBarItemStartFound = true;
                 for ( sal_Int16 n = 0; n < xAttribs->getLength(); n++ )
@@ -253,8 +253,8 @@ throw(  SAXException, RuntimeException, std::exception )
                         {
                             case SB_ATTRIBUTE_URL:
                             {
-                                bCommandURL = true;
-                                aCommandURL = xAttribs->getValueByIndex( n );
+                                aActionURL = xAttribs->getValueByIndex( n );
+                                bHasActionURL = true;
                             }
                             break;
 
@@ -277,7 +277,7 @@ throw(  SAXException, RuntimeException, std::exception )
                                 else
                                 {
                                     OUString aErrorMessage = getErrorLineString();
-                                    aErrorMessage += "Attribute statusbar:align must have one value of 'left','right' or 'center'!";
+                                    aErrorMessage += "attribute statusbar:align may be either `left', `right' or `center'";
                                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                                 }
                             }
@@ -302,7 +302,7 @@ throw(  SAXException, RuntimeException, std::exception )
                                 else
                                 {
                                     OUString aErrorMessage = getErrorLineString();
-                                    aErrorMessage += "Attribute statusbar:autosize must have value 'true' or 'false'!";
+                                    aErrorMessage += "attribute statusbar:style may be either `in', `out' or `flat'";
                                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                                 }
                             }
@@ -317,7 +317,7 @@ throw(  SAXException, RuntimeException, std::exception )
                                 else
                                 {
                                     OUString aErrorMessage = getErrorLineString();
-                                    aErrorMessage += "Attribute statusbar:autosize must have value 'true' or 'false'!";
+                                    aErrorMessage += "attribute statusbar:autosize may be either `true' or `false'";
                                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                                 }
                             }
@@ -332,7 +332,7 @@ throw(  SAXException, RuntimeException, std::exception )
                                 else
                                 {
                                     OUString aErrorMessage = getErrorLineString();
-                                    aErrorMessage += "Attribute statusbar:ownerdraw must have value 'true' or 'false'!";
+                                    aErrorMessage += "attribute statusbar:ownerdraw may be either `true' or `false'";
                                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                                 }
                             }
@@ -362,31 +362,31 @@ throw(  SAXException, RuntimeException, std::exception )
                     }
                 } // for
 
-                if ( !bCommandURL )
+                if ( !bHasActionURL )
                 {
                     OUString aErrorMessage = getErrorLineString();
-                    aErrorMessage += "Required attribute statusbar:url must have a value!";
+                    aErrorMessage += "no value for statusbar:url";
                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                 }
-                        else
-                        {
-                            Sequence< PropertyValue > aStatusbarItemProp( 6 );
-                            aStatusbarItemProp[0].Name = ITEM_DESCRIPTOR_COMMANDURL;
-                            aStatusbarItemProp[1].Name = ITEM_DESCRIPTOR_HELPURL;
-                            aStatusbarItemProp[2].Name = ITEM_DESCRIPTOR_OFFSET;
-                            aStatusbarItemProp[3].Name = ITEM_DESCRIPTOR_STYLE;
-                            aStatusbarItemProp[4].Name = ITEM_DESCRIPTOR_WIDTH;
-                            aStatusbarItemProp[5].Name = ITEM_DESCRIPTOR_TYPE;
-
-                            aStatusbarItemProp[0].Value <<= aCommandURL;
-                            aStatusbarItemProp[1].Value <<= aHelpURL;
-                            aStatusbarItemProp[2].Value <<= nOffset;
-                            aStatusbarItemProp[3].Value <<= nItemBits;
-                            aStatusbarItemProp[4].Value <<= nWidth;
-                            aStatusbarItemProp[5].Value = makeAny( css::ui::ItemType::DEFAULT );
-
-                            m_aStatusBarItems->insertByIndex( m_aStatusBarItems->getCount(), makeAny( aStatusbarItemProp ) );
-                       }
+                else
+                {
+                    Sequence< PropertyValue > aStatusbarItemProp( 6 );
+                    aStatusbarItemProp[0].Name = ITEM_DESCRIPTOR_ACTIONURL;
+                    aStatusbarItemProp[1].Name = ITEM_DESCRIPTOR_HELPURL;
+                    aStatusbarItemProp[2].Name = ITEM_DESCRIPTOR_OFFSET;
+                    aStatusbarItemProp[3].Name = ITEM_DESCRIPTOR_STYLE;
+                    aStatusbarItemProp[4].Name = ITEM_DESCRIPTOR_WIDTH;
+                    aStatusbarItemProp[5].Name = ITEM_DESCRIPTOR_TYPE;
+
+                    aStatusbarItemProp[0].Value <<= aActionURL;
+                    aStatusbarItemProp[1].Value <<= aHelpURL;
+                    aStatusbarItemProp[2].Value <<= nOffset;
+                    aStatusbarItemProp[3].Value <<= nItemBits;
+                    aStatusbarItemProp[4].Value <<= nWidth;
+                    aStatusbarItemProp[5].Value = makeAny( css::ui::ItemType::DEFAULT );
+
+                    m_aStatusBarItems->insertByIndex( m_aStatusBarItems->getCount(), makeAny( aStatusbarItemProp ) );
+               }
             }
             break;
 
@@ -449,7 +449,7 @@ throw(  SAXException, RuntimeException, std::exception )
 }
 
 void SAL_CALL OReadStatusBarDocumentHandler::processingInstruction(
-    const OUString& /*aTarget*/, const OUString& /*aData*/ )
+    const OUString& /*aRecipient*/, const OUString& /*aData*/ )
 throw(  SAXException, RuntimeException, std::exception )
 {
 }
@@ -534,7 +534,7 @@ void OWriteStatusBarDocumentHandler::WriteStatusBarDocument() throw
         aAny = m_aStatusBarItems->getByIndex( nItemPos );
         if ( aAny >>= aProps )
         {
-            OUString    aCommandURL;
+            OUString    aActionURL;
             OUString    aHelpURL;
             sal_Int16   nStyle( ItemStyle::ALIGN_CENTER|ItemStyle::DRAW_IN3D );
             sal_Int16   nWidth( 0 );
@@ -542,14 +542,14 @@ void OWriteStatusBarDocumentHandler::WriteStatusBarDocument() throw
 
             ExtractStatusbarItemParameters(
                 aProps,
-                aCommandURL,
+                aActionURL,
                 aHelpURL,
                 nOffset,
                 nStyle,
                 nWidth );
 
-            if ( !aCommandURL.isEmpty() )
-                WriteStatusBarItem( aCommandURL, aHelpURL, nOffset, nStyle, nWidth );
+            if ( !aActionURL.isEmpty() )
+                WriteStatusBarItem( aActionURL, aHelpURL, nOffset, nStyle, nWidth );
         }
     }
 
@@ -562,7 +562,7 @@ void OWriteStatusBarDocumentHandler::WriteStatusBarDocument() throw
 //  protected member functions
 
 void OWriteStatusBarDocumentHandler::WriteStatusBarItem(
-    const OUString& rCommandURL,
+    const OUString& rActionURL,
     const OUString& /*rHelpURL*/,
     sal_Int16            nOffset,
     sal_Int16            nStyle,
@@ -578,7 +578,7 @@ throw ( SAXException, RuntimeException )
     }
 
     // save required attribute (URL)
-    pList->AddAttribute( m_aAttributeURL, m_aAttributeType, rCommandURL );
+    pList->AddAttribute( m_aAttributeURL, m_aAttributeType, rActionURL );
 
     // alignment
     if ( nStyle & ItemStyle::ALIGN_RIGHT )
